	<table class="table table-striped p-0 m-0 table-sm border-top border-bottom ">
		<thead class="bg-light">
			<tr>
				<th class="border-0">Device Type</th>
				<th class="border-0">IMEI</th>
				<th class="border-0">Issued Yet?</th>
				<th class="border-0">Client</th>
				<th class="border-0">Used?</th>
				<th class="border-0">MCP</th>
				<th class="border-0">Issue Date</th>
				<th class="border-0">Supply Order Status</th>
				<th class="border-0">Last Meas. Date</th>
				<th class="border-0">Last Meas. Days Ago</th>
				<th class="border-0"># Days with Remote Meas. this Month</th>
				<th class="border-0"># Days with Remote Meas. last Month</th>
				<th class="border-0">Client Engagement Status Category</th>
				<th class="border-0">Admin Engagement Assessment Status</th>
				<th class="border-0">Mcp Engagement Assessment Status</th>
				<th class="border-0">Default Na Engagement Assessment Status</th>
			</tr>
		</thead>
		<tbody>
			@foreach($bdtDevices as $bdtDevice)
			<tr>
				<td>{{$bdtDevice->category}}</td>
				<td>{{$bdtDevice->imei}}</td>
				<td>{{$bdtDevice->client_id ? 'Yes': 'No'}}</td>
				<td>
					@if($bdtDevice->client_id)
					<a native target="_blank" href="{{route('patients.view.dashboard',$bdtDevice->client_uid)}}">
						{{$bdtDevice->client_display_name}}
					</a>
					@else 
						-
					@endif 
				</td>
				<td>{{@$bdtDevice->most_recent_client_bdt_measurement_id ? 'Yes': 'No'}}</td>
				<td>
					@if($bdtDevice->client_id && $bdtDevice->client_mcp_pro_id)
						{{$bdtDevice->mcp_pro_display_name}}
					@else 
						-
					@endif 
				</td>
				<td>
					@if($bdtDevice->client_id)
						{{friendly_date_time($bdtDevice->client_bdt_created_at)}}
					@else 
						-
					@endif 
				</td>
				<td>
					@if($bdtDevice->client_id)
						<?php
							$supplyOrders = json_decode($bdtDevice->supply_orders ?? '[]');
						?>
						@foreach($supplyOrders as $so)
							<div class="card p-2 shadow m-2 border">
								<div>Product: {{$so->product_title}}</div>
								<div>Is signed by pro: {{$so->is_signed_by_pro ? 'Yes' : 'No'}}</div>
								@if($so->is_signed_by_pro)
									<div>Signed by: {{$so->signed_by_pro_name}}</div>
								@endif
								<div>
									Has shippiment: {{$so->shipment_id? 'Yes': 'No'}}
								</div>
							</div>
						@endforeach
					@else 
						-
					@endif 	
				</td>
				<td>
					@if($bdtDevice->client_id)
						@if($bdtDevice->most_recent_client_bdt_measurement_id)
							{{friendly_date_time($bdtDevice->most_recent_measurement_ts_date_time)}}
						@else 
							-
						@endif
					@else 
						-
					@endif 	
				</td>
				<td>
					@if($bdtDevice->client_id)
						@if($bdtDevice->most_recent_client_bdt_measurement_id)
							{{date_diff(date_create($bdtDevice->most_recent_measurement_ts_date_time), date_create('now'))->days}}
						@else 
							-
						@endif
					@else 
						-
					@endif 	
				</td>
				<td>
					@if($bdtDevice->client)
						{{$bdtDevice->current_cm_number_of_days_with_remote_measurements}}
					@endif
				</td>
				<td>
					@if($bdtDevice->clientBDTDevice)
						{{$bdtDevice->prev_cm_number_of_days_with_remote_measurements}}
					@endif
				</td>
				<td>{{@$bdtDevice->client_engagement_status_category}}
				<td>{{@$bdtDevice->admin_engagement_assessment_status}}
				<td>{{@$bdtDevice->mcp_engagement_assessment_status}}
				<td>{{@$bdtDevice->default_na_engagement_assessment_status}}
			</tr>
			@endforeach
		
			@if(count($bdtDevices) === 0)
			<tr>
				<td colspan="24">No records found!</td>
			</tr>
			@endif
		</tbody>

	</table>
</div>
<div class="p-3">
	{{$bdtDevices->withQueryString()->links()}}
</div>
